## skippy-xd 0.5.1~git20150224~ubuntu14.04.1

=== debian/changelog ===
skippy-xd (0.5.1~git20150224~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Xubuntu Developers <xubuntu-dev@lists.launchpad.net>  Tue, 24 Feb 2015 13:47:11 +0000

skippy-xd (0.5.1~git-1~precise~ppa1) precise; urgency=low

  * Prepare for daily recipe builds. 

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 10 May 2013 09:59:38 +0200

skippy-xd (0.5.1~hg20111223-1~precise~ppa3) precise; urgency=low

  * Install config example skippy-xd.rc-default to /usr/share/skippy-xd .
  * Install skippy-xd-activate convenience wrapper that runs 
    'sleep 0.15 && skippy-xd --activate-window-picker', which introduces
    a small delay before activating the daemon and hopefully improves
    reliability.
  * Install skippy-xd-restart convenience wrapper that can be used to 
    quickly restart the daemon in case it crashes.
  * touch skippy-xd.rc-default to avoid "time stamp too far in the past"
    Launchpad upload error.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 09:59:38 +0200

skippy-xd (0.5.1~hg-1~precise~ppa1) precise; urgency=low

  * Initial release.
  * Forked code of the original 0.5.0 skippy-xd release, 
    with several improvements.
  * Code downloaded from http://code.google.com/p/skippy-xd/ Mercurial repo.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 31 Jan 2013 09:59:38 +0200
