## skippy-xd 0.5.1~git20160429~mx17

=== debian/changelog ===
skippy-xd (0.5.1~git20160429~mx17) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 01 Sep 2018 11:53:47 -0400

skippy-xd (0.5.1~git20160429~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 29 Apr 2016 20:53:07 +0000
