=== debian/changelog ===
skippy-xd (0.5.1~git20160429~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 25 Oct 2019 14:31:16 -0400
