## skippy-xd 0.5.2

=== Makefile ===
--- 
+++ 
@@ -67,10 +67,11 @@
 clean:
 	rm -f ${BINS} ${OBJS} src/.clang_complete
 
-install: ${BINS} skippy-xd.sample.rc
+install: ${BINS} skippy-xd.sample.rc skippy-xd_run
 	install -d "${DESTDIR}${BINDIR}/" "${DESTDIR}/etc/xdg/"
 	install -m 755 ${BINS} "${DESTDIR}${BINDIR}/"
 	install -m 644 skippy-xd.sample.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
+	install -m 755 skippy-xd_run "${DESTDIR}${BINDIR}/"
 
 uninstall:
 	# Should configuration file be removed?
