=== debian/changelog ===
skippy-xd (0.5.2-1+5gnuinos1) unstable; urgency=medium

  * Modified the script skippy-xd_run
  * New upstream version 0.5.2

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 21 Sep 2025 17:22:13 +0200

skippy-xd (0.5.1-1+5gnuinos2) unstable; urgency=medium

  * Added a script that gives focus to the active window, the one 
    switched by the user. Afterwards, the script also tries to center 
    the window on the screen, but not always succeeds (e.g. when the 
    window is offscreen on the left side). This bug is pending to be 
    fixed.

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 02 Sep 2025 21:14:19 +0200

skippy-xd (0.5.1-1+5gnuinos1) unstable; urgency=low

  * Initial release

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 02 Aug 2025 11:12:36 +0200
