=== debian/control ===
Source: skippy-xd
Section: x11
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Build-Depends: debhelper (>= 9), libimlib2-dev (>=1.4.6-2), libfontconfig1-dev (>=2.11.0~), libfreetype6-dev (>=2.5.2~), libx11-dev (>=2:1.6.2-3), libxext-dev (>=2:1.3.3-1), libxft-dev (>=2.3.2-1), libxrender-dev (>=1:0.9.8-1), zlib1g-dev (>= 1:1.2.8~), libxinerama-dev (>= 2:1.1.3-1), libxcomposite-dev (>= 1:0.4.4-1), libxdamage-dev (>= 1:1.1.4-2), libxfixes-dev (>= 1:5.0.1-2), libxmu-dev (>= 2:1.1.2-1)
Standards-Version: 3.9.5.0
Origin: Gnuinos
Homepage: https://github.com/richardgv/skippy-xd

Package: skippy-xd
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool, wmctrl
Recommends: brightside
Description: Skippy-XD
 Standalone composited window picker (displays all your windows at once, with live previews).
