## skippy-xd 2025.08.16

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 PREFIX ?= /usr
 BINDIR ?= ${PREFIX}/bin
 
-CC ?= gcc
+ifeq ($(shell command -v clang 2>&1 | grep -c "clang"), 1)
+	CC = clang
+else
+	CC ?= gcc
+endif
+
+CPPFLAGS += -std=c99 -Wall -I/usr/include/freetype2
 
 SRCS_RAW = skippy wm dlist mainwin clientwin layout focus config tooltip img img-xlib
-PACKAGES = x11 xft xrender xcomposite xdamage xfixes
+PACKAGES = x11 xft xrender xcomposite xdamage xfixes xext
 
 # === Options ===
 ifeq "${CFG_NO_XINERAMA}" ""
 	CPPFLAGS += -DCFG_XINERAMA
-	PACKAGES += xext xinerama
+	PACKAGES += xinerama
 endif
 
 ifeq "${CFG_NO_PNG}" ""
@@ -32,6 +38,12 @@
 
 ifeq "$(CFG_DEV)" ""
 	CFLAGS ?= -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
+
+	ifeq "$(CC)" "clang"
+		CPPFLAGS += -Wno-unused-function
+	else # gcc
+		CPPFLAGS += -Wno-unused-but-set-variable
+	endif
 else
 	CC = clang
 	CFLAGS += -ggdb -Wshadow -Weverything -Wno-unused-parameter -Wno-conversion -Wno-sign-conversion -Wno-gnu -Wno-disabled-macro-expansion -Wno-padded -Wno-c11-extensions -Wno-sign-compare -Wno-vla -Wno-cast-align
@@ -46,8 +58,8 @@
 LIBS += -lm $(shell pkg-config --libs $(PACKAGES))
 
 # === Version string ===
-SKIPPYXD_VERSION ?= git-$(shell git describe --always --dirty)-$(shell git log -1 --date=short --pretty=format:%cd)
-CPPFLAGS += -DSKIPPYXD_VERSION="\"${SKIPPYXD_VERSION}\""
+SKIPPYXD_VERSION = "$(shell cat version.txt)"
+CPPFLAGS += -DSKIPPYXD_VERSION=\"${SKIPPYXD_VERSION}\"
 
 # === Recipes ===
 EXESUFFIX =
@@ -67,11 +79,22 @@
 clean:
 	rm -f ${BINS} ${OBJS} src/.clang_complete
 
-install: ${BINS} skippy-xd.sample.rc skippy-xd_run
+install-check:
+	@echo "'make install' target folders:"
+	@echo "PREFIX=${PREFIX} DESTDIR=${DESTDIR} BINDIR=${BINDIR}"
+	@echo "skippy executables will be installed into: ${DESTDIR}${BINDIR}"
+
+install: ${BINS} skippy-xd.sample.rc
 	install -d "${DESTDIR}${BINDIR}/" "${DESTDIR}/etc/xdg/"
 	install -m 755 ${BINS} "${DESTDIR}${BINDIR}/"
+
+ifneq ("$(wildcard skippy-xd.rc)","")
+	@echo "your custom skippy config file will be installed to: ${DESTDIR}/etc/xdg/skippy-xd.rc"
+	install -m 644 skippy-xd.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
+else
+	@echo "skippy's default config file will be installed to: ${DESTDIR}/etc/xdg/skippy-xd.rc"
 	install -m 644 skippy-xd.sample.rc "${DESTDIR}/etc/xdg/skippy-xd.rc"
-	install -m 755 skippy-xd_run "${DESTDIR}${BINDIR}/"
+endif
 
 uninstall:
 	# Should configuration file be removed?
