=== debian/changelog ===
skippy-xd (2025.08.16-1~mx25) mx; urgency=medium

  * Rebuild for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 04 Sep 2025 18:52:57 +0000

skippy-xd (2025.08.16-1~mx23) mx; urgency=medium

  * New upstream version for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 04 Sep 2025 18:09:24 +0000

skippy-xd (2023.06.25-1~mx23) mx; urgency=medium

  * Newer version built for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 02 Sep 2025 19:56:15 +0000
