=== debian/control ===
Source: skippy-xd
Section: x11
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Liviu Andronic <landronimirc@gmail.com>
Build-Depends:  debhelper-compat (= 13),
				libimlib2-dev,
				libx11-dev, 
				libxcomposite-dev (>= 1:0.4.3-2), 
				libxft-dev, 
				libxinerama-dev,
				libxrender1 (>= 1:0.9.6-2), 
				libxfixes3 (>= 1:5.0-4), 
				libxdamage-dev (>= 1:1.1.3-2), 
				libxft2 (>= 2.2.0-3ubuntu1)
Standards-Version: 3.9.2
Homepage: https://github.com/felixfung/skippy-xd

Package: skippy-xd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: standalone composited Exposé-like window picker for X11
 Skippy-XD is a program that provides Exposé-like features found on the Mac
 OS X operating system. It is a standalone application for providing a window 
 picker with live previews (including live video) on Linux desktops that run 
 an X server with compositing support. Thus it is not part of the window 
 manager, and the compositing is not being used all the time. 
 .
 If you work with many windows, your desktop may begin to get cluttered.  You
 can use Skippy-XD to quickly and conveniently find the right window that you 
 are looking for. It allows you to press a hotkey and see miniature versions 
 of all your active windows at once. 
 .
 To use Skippy-XD, you need Xfce (xfwm4) or a NetWM compliant window 
 manager (LXDE, Openbox-based window managers, etc.).
